#
# errordlg.py
# $Id: dialog.py,v 1.1 1996/10/15 21:36:16 kzeil Exp $
#
# Koert Zeilstra - Network Solutions
# 1996.08.27
#

import Tkinter

class Dialog(Tkinter.Toplevel):
  def __init__(self, parent):
    Tkinter.Toplevel.__init__(self, parent)

    self.title('PyRwhois')
    self.iconname('PyRwhois')

    self._label = Tkinter.Label(self)
    self._label.pack(side="top", fill="x", padx=10, pady=5)

    close_btn = Tkinter.Button(self, text="Close", width=8, command=self.close)
    close_btn.pack(side="top", pady=3)

    self.protocol("WM_DELETE_WINDOW", self.close)

  def close(self):
    self.withdraw()

  def setMessage(self, message):
    self._label.config(text=message)

class ErrorDialog(Dialog):
  def __init__(self, parent):
    Dialog.__init__(self, parent)

    self.title('PyRwhois - Error')
    self.iconname('PyRwhois')
